読者です 読者をやめる 読者になる 読者になる

にわとりプログラマーの備忘録

覚えたことをすぐ忘れてしまう、自分のための備忘録ブログです。

Google Play services out of date. Requires xxxxxxx but found xxxxxxxx の解決策

android

Goolge Play Servicesのライブラリを利用したandroidのサンプルコードの実行時に
以下のエラーが発生して、アプリが起動できなかったので解決策を書いておきます.
Google Play services out of date. Requires 7571000 but found 7329038」

【原因】
端末にインストールされている「Google Play 開発者サービス」というアプリの
バージョンがライブラリが必要とするバージョンより低いことが原因らしいです.

【解決策】
端末にインストールされている「Google Play 開発者サービス」アプリのバージョンを上げることで解決されます.

Google play store で検索しても出てこない?ので、URLを記載しておきます。

Google Play開発者サービス - Google Play の Android アプリ